org.apache.felix.framework.resolver

## Class CandidateComparator

- java.lang.Object
- - org.apache.felix.framework.resolver.CandidateComparator

All Implemented Interfaces:
  Comparator<Capability>

    public class CandidateComparator
    extends Object
    implements Comparator<Capability>

### Constructor Summary

Constructors
Constructor and Description
`CandidateComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Capability cap1, Capability cap2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### CandidateComparator

    public CandidateComparator()

### Method Detail

#### compare

    public int compare(Capability cap1,
                       Capability cap2)

Specified by:
  `compare` in interface `Comparator<Capability>`